
<template>
  <div class="hello">
    <div>
      <label>Team name: {{this.teamName}}</label>
    </div>
    <el-button type="text" @click="dialogVisible = true">click to open the Dialog</el-button>

    <el-dialog title="Team Name" :visible.sync="dialogVisible" width="30%" :before-close="handleClose">
      <span>Please enter the team naem:</span>
      <el-input placeholder="Team Name" v-model="teamNameInDialog"></el-input>
      <span slot="footer" class="dialog-footer">
        <el-button @click="dialogVisible = false">Cancel</el-button>
        <el-button type="primary" @click="handleSave">Confirm</el-button>
      </span>
    </el-dialog>


  </div>
</template>

<script>
import { Input, Button, Dialog, MessageBox } from 'element-ui';
import '../element-variables.scss';

export default {
  name: 'DialogTest',
  data: function() {
    return {
      dialogVisible: false,
      teamName: '',
      teamNameInDialog: '',
    }
  },
  methods: {
    handleClose(done) {
        MessageBox.confirm(
          'Are you sure to close this dialog?',
          {
            confirmButtonText: 'OK',
            cancelButtonText: 'Cancel',
          }
        ).then(() => {
          done();
        });
    },
    handleSave() {
      this.teamName = this.teamNameInDialog;
      this.dialogVisible = false;
    }
  },
  components: {
    [Input.name]: Input,
    [Button.name]: Button,
    [Dialog.name]: Dialog
  },
}
</script>
